This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 43422 - mail will not accept second ctrl-c when prompted to (interupt -- one more to kill letter)
mail will not accept second ctrl-c when prompted to (interupt -- one more to ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-04 15:50 EDT by cpapadop
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 05:51:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cpapadop 2001-06-04 15:50:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)

Description of problem:
We have patched mailx to mailx-8.1.1-16, when you are in the middle of composing a message
and you hit ctrl-c to abort the message you get the following:

        (Interrupt -- one more to kill letter)

and then you hit ctrl-c again and nothing happens.

How reproducible:
Always

Steps to Reproduce:
1. Start a mail with
               % mail <email address>
2. Give a subject line
3. Type some text
4. Hit ctrl-c to abort the message

and you see the following:

        (Interrupt -- one more to kill letter)

You hit another ctrl-c and nothing happens, it should abort your message but
it does not.

	

Actual Results:  Nothing happened when I hit ctrl-c but it should have aborted my mail
message with a message saying so.

Expected Results:  It should have aborted the message instead of doing nothing.

Additional info:

A work around is to use ~q to abort mail works instead, but I am not sure
of the differences.
Comment 1 Jonathan Peatfield 2001-12-23 22:13:12 EST
Simply building the RH72 version of mailx on RH62 seems to fix this for me.
(I'm guessing that it was fixed in the signal handler cleanup hinted at in the
changelog).

Note You need to log in before you can comment on or make changes to this bug.